# fmcclient

A Go client for the Cisco Firepower Management Center.

## Example

```go
var pager fmcclient.Pager
pager, err := fmc.AccessPolicies("Global", 100)
if err != nil {
	return fmt.Errorf("fetch access policy pager: %v", err)
}
acpName := "test"
var acpUUID string
for {
	acps, err := pager.Next()
	if err == fmcclient.EOF {
		break
	}
	if err != nil {
		return fmt.Errorf("fetch access policies: %v", err)
	}
	for _, e := range acps {
		if e.Name == acpName {
			acpUUID = e.Id
			break
		}
	}
}
if acpUUID == "" {
	return fmt.Errorf("find target access policy: no acp with name %v", acpName)
}
```
